### Method

# FwupdPlugin Device add_parent_physical_id

since: 1.6.2

#### Declaration [src]

    void
    fu_device_add_parent_physical_id (
      FuDevice* self,
      const gchar* physical_id
    )

#### Description [src]

Sets any parent device using the physical ID. An parent device is logically linked to the primary device in some way and can be added before or after `self`.

The IDs are searched in order, and so the order of adding IDs may be important if more than one parent device might match.

Available since: 1.6.2

#### Parameters

`physical_id`

  Type: `const gchar*`

  A device physical ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.